Index: imaps-frontend/src/components/Profile/Profile.jsx
===================================================================
--- imaps-frontend/src/components/Profile/Profile.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/Profile/Profile.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,102 +1,52 @@
 import React, { useState, useRef, useEffect } from "react";
-import ReactDOM from "react-dom";
-import { useNavigate } from "react-router-dom";
 import profile from "../../assets/person_icon.png";
 import styles from "./Profile.module.css";
-import { useAppContext } from "../AppContext/AppContext.jsx";
 
-function Profile({ position = "fixed" }) {
-    const { username, isAuthenticated } = useAppContext();
-    const [open, setOpen] = useState(false);
-    const [menuPosition, setMenuPosition] = useState({ top: 0, left: 0 });
-    const imgRef = useRef(null);
-    const navigate = useNavigate();
+function Profile() {
+  const menus = ["Profile", "Settings", "Support", "Logout"];
+  const [open, setOpen] = useState(false);
+  const menuRef = useRef(null);
+  const imgRef = useRef(null);
 
-    const menus = isAuthenticated ? ["My Maps", "Logout"] : ["Login"];
-
-    useEffect(() => {
-        const handleClickOutside = (e) => {
-            if (imgRef.current && !imgRef.current.contains(e.target)) {
-                setOpen(false);
-            }
-        };
-
-        document.addEventListener("click", handleClickOutside);
-
-        return () => {
-            document.removeEventListener("click", handleClickOutside);
-        };
-    }, []);
-
-    const toggleMenu = () => {
-        if (imgRef.current) {
-            const rect = imgRef.current.getBoundingClientRect();
-            setMenuPosition({
-                top: rect.bottom + window.scrollY,
-                left: rect.left + window.scrollX,
-            });
+  useEffect(() => {
+    const handleClickOutside = (e) => {
+      if (menuRef.current && imgRef.current) {
+        if (!menuRef.current.contains(e.target) && !imgRef.current.contains(e.target)) {
+          setOpen(false);
         }
-        setOpen(!open);
+      }
     };
 
-    const handleMenuClick = (menu) => {
-        if (menu === "My Maps") {
-            navigate("/MyMaps");
-        } else if (menu === "Logout") {
-            localStorage.removeItem("token");
-            window.location.reload();
-        } else if (menu === "Login") {
-            navigate("/Login");
-        }
-        setOpen(false);
+    document.addEventListener("click", handleClickOutside);
+
+    return () => {
+      document.removeEventListener("click", handleClickOutside);
     };
+  }, []);
 
-    const renderDropdown = () => {
-        if (!open) return null;
-
-        return ReactDOM.createPortal(
-            <div
-                className={styles.dropdownMenu}
-                style={{
-                    position: "absolute",
-                    top: menuPosition.top,
-                    left: menuPosition.left,
-                }}
-            >
-                {isAuthenticated && <div className={styles.username}>{username}</div>}
-                <ul className={styles.menuList}>
-                    {menus.map((menu) => (
-                        <li
-                            key={menu}
-                            className={styles.menuItem}
-                            onClick={() => handleMenuClick(menu)}
-                        >
-                            {menu}
-                        </li>
-                    ))}
-                </ul>
-            </div>,
-            document.body
-        );
-    };
-
-    return (
-        <div
-            className={
-                position === "fixed" ? styles.fixedProfileContainer : styles.inlineProfileContainer
-            }
-        >
-            <div className={styles.profileWrapper}>
-                <div
-                    className={styles.profileIconContainer}
-                    onClick={toggleMenu}
-                    ref={imgRef}
-                >
-                    <img src={profile} alt="profile" className={styles.profileImage} />
-                </div>
-                {renderDropdown()}
-            </div>
-        </div>
-    );
+  return (
+    <div className={styles.profileContainer}>
+      <div className={styles.profileWrapper}>
+        <img
+          onClick={() => setOpen(!open)}
+          src={profile}
+          alt="profile"
+          className={styles.profileImage}
+          ref={imgRef}
+        />
+        {open && (
+          <div ref={menuRef} className={styles.dropdownMenu}>
+            <ul className={styles.menuList}>
+              {menus.map((menu) => (
+                <li key={menu} onClick={() => setOpen(false)} className={styles.menuItem}>
+                  {menu}
+                </li>
+              ))}
+            </ul>
+          </div>
+        )}
+      </div>
+    </div>
+  );
 }
 
Index: imaps-frontend/src/components/ProtectedRoute/ProtectedRoute.jsx
===================================================================
--- imaps-frontend/src/components/ProtectedRoute/ProtectedRoute.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/ProtectedRoute/ProtectedRoute.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,25 +1,7 @@
-import { Navigate, Outlet, useLocation } from "react-router-dom";
-import {useAppContext} from "../AppContext/AppContext.jsx";
-import HttpService from "../../scripts/net/HttpService.js";
-import React, {useEffect} from "react";
-import {LoadingContainer} from "../LoadingContainer/LoadingContainer.jsx";
-import config from "../../scripts/net/netconfig.js";
-import {verifyToken} from "../../scripts/util/verifyToken.js";
+import React from "react";
+import { Outlet, Navigate } from "react-router-dom";
 
-const ProtectedRoute = () => {
-  const location = useLocation();
-  const {loading,isAuthenticated} = useAppContext();
-
-
-  if(loading){
-    return <LoadingContainer/>
-  }
-
-
-  if (!isAuthenticated) {
-    return <Navigate to="/Login" state={{ targetPath: location }} replace />;
-  }
-
-  return <Outlet />;
+const ProtectedRoute = ({ isAuthenticated }) => {
+  return isAuthenticated ? <Outlet /> : <Navigate to="/Login" />;
 };
 
Index: imaps-frontend/src/components/RoomModal/RoomModal.jsx
===================================================================
--- imaps-frontend/src/components/RoomModal/RoomModal.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/components/RoomModal/RoomModal.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -0,0 +1,132 @@
+import React, { useState, useEffect } from "react";
+import styles from "./RoomModal.module.css";
+import { Ring } from "konva/lib/shapes/Ring";
+
+export default function RoomModal(props) {
+  const [modal, setModal] = useState(false);
+  const [room, setRoom] = useState(null);
+  const [formData, setFormData] = useState({
+    name: "",
+    type: "",
+    description: "",
+  });
+  const [roomTypes, setRoomTypes] = useState([]);
+
+  const toggleModal = () => {
+    if(modal) {
+      room.info = formData;
+      props.map.updateRoomNames();
+    }
+    setModal(!modal);
+  };
+
+  const saveDetails = () => {
+    if (room) {
+      room.info = formData;
+      toggleModal();
+      console.log(room.info);
+    }
+  };
+  // impl da sa gledat dali ti e zacuvana formava
+
+  const handleInputChange = (e) => {
+    console.log(room.info)
+    const { name, value, type, checked } = e.target;
+    setFormData((prevData) => ({
+      ...prevData,
+      [name]: type === "checkbox" ? checked : value,
+    }));
+    room.info = formData;
+  };
+
+  useEffect(() => {
+    const openModalHandler = (event) => {
+      const roomObj = event.detail.room;
+      console.log(roomObj, "ROOMOBJ OTV")
+      setRoom(roomObj);
+      setFormData({
+        name: roomObj.info.name,
+        type: roomObj.info.type,
+        description: roomObj.info.description,
+      });
+      setRoomTypes(event.detail.map.getRoomTypes());
+      toggleModal(true);
+    };
+
+    window.addEventListener("openRoomModalEvent", openModalHandler);
+
+    return () => {
+      window.removeEventListener("openRoomModalEvent", openModalHandler);
+    };
+  }, []);
+
+  if (modal) {
+    document.body.classList.add(styles.activeModal);
+  } else {
+    document.body.classList.remove(styles.activeModal);
+  }
+
+  return (
+    <>
+      {/* <button onClick={toggleModal} className={styles.btnModal}>
+        RoomModal
+      </button> */}
+
+      {modal && (
+        <div className={styles.modal}>
+          <div onClick={toggleModal} className={styles.overlay}></div>
+          <div className={styles.modalContent}>
+            <h2>Enter Room Details</h2>
+            <form className={styles.form}>
+              <div className={styles.formGroup}>
+                <label htmlFor="name">Name:</label>
+                <input
+                  type="text"
+                  id="name"
+                  name="name"
+                  value={formData.name}
+                  onChange={handleInputChange}
+                  required
+                />
+              </div>
+              <div className={styles.formGroup}>
+                <label htmlFor="type">Type:</label>
+                <select id="type" name="type" onChange={handleInputChange} value={formData.type} required>
+                  <option value="">Select Room Type</option>
+                  {roomTypes.map((type, index) => (
+                    <option key={index} value={type}>
+                      {type}
+                    </option>
+                  ))}
+                </select>
+              </div>
+              <div className={styles.formGroup}>
+                <label htmlFor="description">Description:</label>
+                <textarea
+                  id="description"
+                  name="description"
+                  value={formData.description}
+                  onChange={handleInputChange}
+                  rows="3"
+                />
+              </div>
+              <div className={styles.formGroup}>
+                <button
+                  type="button"
+                  id="submit-details"
+                  onClick={saveDetails}
+                  className={styles.submitButton}
+                >
+                  Save
+                </button>
+              </div>
+            </form>
+            <button className={styles.closeModal} onClick={toggleModal}>
+              CLOSE
+            </button>
+          </div>
+        </div>
+      )}
+    </>
+  );
+}
Index: imaps-frontend/src/components/RoomTypeModal/RoomTypeModal.jsx
===================================================================
--- imaps-frontend/src/components/RoomTypeModal/RoomTypeModal.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/components/RoomTypeModal/RoomTypeModal.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -0,0 +1,107 @@
+import React, { useState, useEffect } from "react";
+import styles from "./RoomTypeModal.module.css";
+
+export default function RoomTypeModal(args) {
+  const [modal, setModal] = useState(false);
+  const [roomTypes, setRoomTypes] = useState([]);
+  const [formData, setFormData] = useState({
+    name: "",
+    type: "",
+    description: "",
+  });
+
+  const toggleModal = () => {
+    setModal(!modal);
+  };
+
+  // Add new room type to the list
+  const addRoomType = () => {
+    if (!formData.type || roomTypes.includes(formData.type)) return; // Prevent empty or duplicate room types
+    setRoomTypes((prevTypes) => [...prevTypes, formData.type]);
+    setFormData({ ...formData, type: "" }); // Reset type input after adding
+    args.map.addRoomType(formData.type);
+    console.log(args.map.roomTypes);
+  };
+
+  // Remove room type from the list
+  const removeRoomType = (typeToRemove) => {
+    setRoomTypes((prevTypes) => prevTypes.filter((type) => type !== typeToRemove));
+  };
+
+  // Handle form input changes
+  const handleInputChange = (e) => {
+    const { name, value } = e.target;
+    setFormData((prevData) => ({
+      ...prevData,
+      [name]: value,
+    }));
+  };
+
+  // Load room types from local storage on mount
+  // useEffect(() => {
+  //   //const storedRoomTypes = JSON.parse(localStorage.getItem("roomTypes")) || [];
+  //   if(args && args.map){
+  //     setRoomTypes(args.map.roomTypes);
+  //   }
+
+  // }, [args]);
+
+  // Save room types to local storage whenever they change
+  // useEffect(() => {
+  //   localStorage.setItem("roomTypes", JSON.stringify(roomTypes));
+  // }, [roomTypes]);
+
+  return (
+    <>
+      <button onClick={toggleModal} className={styles.btnModal}>
+        Room Types
+      </button>
+
+      {modal && (
+        <div className={styles.modal}>
+          <div onClick={toggleModal} className={styles.overlay}></div>
+          <div className={styles.modalContent}>
+            <h2>Manage Room Types</h2>
+
+            <form className={styles.form}>
+              <div className={styles.formGroup}>
+                <label htmlFor="type">Add New Room Type:</label>
+                <input
+                  type="text"
+                  id="type"
+                  name="type"
+                  value={formData.type}
+                  onChange={handleInputChange}
+                  placeholder="Enter a new room type (e.g., Office, Classroom)"
+                />
+                <button type="button" className={styles.addButton} onClick={addRoomType}>
+                  Add Type
+                </button>
+              </div>
+            </form>
+
+            <h3>Available Room Types:</h3>
+            <ul className={styles.roomTypeList}>
+              {roomTypes.length > 0 ? (
+                roomTypes.map((type, index) => (
+                  <li key={index} className={styles.roomTypeItem}>
+                    {type}
+                    <button className={styles.removeButton} onClick={() => removeRoomType(type)}>
+                      Remove
+                    </button>
+                  </li>
+                ))
+              ) : (
+                <li>No room types available</li>
+              )}
+            </ul>
+
+            <button className={styles.closeModal} onClick={toggleModal}>
+              CLOSE
+            </button>
+          </div>
+        </div>
+      )}
+    </>
+  );
+}
Index: imaps-frontend/src/components/SaveMap/SaveMap.jsx
===================================================================
--- imaps-frontend/src/components/SaveMap/SaveMap.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/SaveMap/SaveMap.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -2,5 +2,4 @@
 import HttpService from '../../scripts/net/HttpService';
 import styles from './SaveMap.module.css';
-import triggerMapSave from "../../scripts/util/triggerMapSave.js";
 
 const SaveMap = ({submitHandler}) => {
@@ -9,8 +8,5 @@
     const handleSubmit = (event) => {
         event.preventDefault();
-        // submitHandler();
-        // const mapSaveEvent = new CustomEvent("mapsave",{});
-        // window.dispatchEvent(mapSaveEvent)
-        triggerMapSave();
+        submitHandler(name);
     };
 
@@ -19,4 +15,16 @@
         <div className={styles.saveMapContainer}>
             <form onSubmit={handleSubmit} className={styles.saveMapForm}>
+                <div>
+                    <label htmlFor="name">Map Name: </label>
+                    <input 
+                        type="text" 
+                        id="name" 
+                        value={name} 
+                        onChange={(e) => setName(e.target.value)} 
+                        placeholder="Enter map name" 
+                        required
+                        className={styles.saveMapInput}
+                    />
+                </div>
                 <div>
                     <button type="submit" className={styles.saveMapButton}>Save Map</button>
Index: imaps-frontend/src/components/SearchBar/SearchBar.jsx
===================================================================
--- imaps-frontend/src/components/SearchBar/SearchBar.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/SearchBar/SearchBar.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,4 +1,3 @@
-import React, { useState, useEffect, useRef } from "react";
-import ReactDOM from "react-dom";
+import React, { useState } from "react";
 import searchIcon from "../../assets/search_icon.png";
 import routeIcon from "../../assets/route_icon.png";
@@ -6,194 +5,93 @@
 import styles from "./SearchBar.module.css";
 
-function SearchBar({
-                     map,
-                     handleDirectionsSubmit,
-                     setIsPanelOpen,
-                     setSelectedRoom,
-                     availableShapes,
-                     handleFloorChange,
-                   }) {
+function SearchBar(props) {
   const [isExpanded, setIsExpanded] = useState(false);
   const [from, setFrom] = useState("");
   const [to, setTo] = useState("");
-  const [availableOptions, setAvailableOptions] = useState([]);
-  const [filteredOptions, setFilteredOptions] = useState([]);
-  const [dropdownVisible, setDropdownVisible] = useState(false);
-  const [inputFieldType, setInputFieldType] = useState("");
 
-  const wrapperRef = useRef(null);
-  const dropdownContainerRef = useRef(null);
-  const activeInputRef = useRef(null); // Track the currently focused input field
-
-  const toggleExpanded = () => setIsExpanded(!isExpanded);
-
-  const handleClickOutside = (event) => {
-    if (
-        wrapperRef.current &&
-        !wrapperRef.current.contains(event.target) &&
-        dropdownContainerRef.current &&
-        !dropdownContainerRef.current.contains(event.target)
-    ) {
-      setDropdownVisible(false);
-    }
+  const toggleExpanded = () => {
+    setIsExpanded(!isExpanded);
   };
 
-  useEffect(() => {
-    document.addEventListener("mousedown", handleClickOutside);
-    return () => {
-      document.removeEventListener("mousedown", handleClickOutside);
-    };
-  }, []);
+  function searchRoom(){
+    props.map.search();
 
-  const searchRoom = () => {
-    const foundRoom = availableShapes.find((sh) => sh.info.name === from);
-    if (foundRoom && foundRoom.floorNum !== map.floorNum) {
-      handleFloorChange(foundRoom.floorNum);
-    }
-    map.highlightShape(from);
-    setSelectedRoom(foundRoom);
-    setIsPanelOpen(true);
-  };
+  }
 
-  const handleInputFocus = (field, inputRef) => {
-    if (availableOptions.length === 0 && map) {
-      setAvailableOptions(
-          availableShapes
-              .filter((sh) => sh.className === "RenderedRoom")
-              .map((shape) => shape.info.name)
-      );
-    }
-    setInputFieldType(field);
-    setDropdownVisible(true);
-    activeInputRef.current = inputRef; // Set the active input ref
-  };
+  const handleDirectionsSubmit = () => {
+    console.log(`From: ${from}, To: ${to}`);
+    const url = new URL('http://localhost:8080/api/public/navigate');
+    url.searchParams.append('from', from);
+    url.searchParams.append('to', to);
 
-  const handleInputChange = (setter) => (event) => {
-    const value = event.target.value;
-    setter(value);
-    setDropdownVisible(true);
-
-    const filtered = availableOptions.filter((option) =>
-        option.toLowerCase().includes(value.toLowerCase())
-    );
-    setFilteredOptions(filtered);
-  };
-
-  const handleOptionClick = (option) => {
-    if (inputFieldType === "from") {
-      setFrom(option);
-    } else if (inputFieldType === "to") {
-      setTo(option);
-    }
-    setDropdownVisible(false);
-  };
-
-  const renderDropdown = () => {
-    if (!dropdownVisible || filteredOptions.length === 0) return null;
-
-    const position = activeInputRef.current?.getBoundingClientRect() || {
-      top: 0,
-      left: 0,
-      width: 0,
-    };
-
-    return ReactDOM.createPortal(
-        <ul
-            ref={dropdownContainerRef}
-            className={styles.dropdown}
-            style={{
-              position: "absolute",
-              top: position.top + position.height + window.scrollY,
-              left: position.left + window.scrollX,
-              width: position.width,
-            }}
-        >
-          {filteredOptions.map((option, index) => (
-              <li
-                  key={index}
-                  className={styles.dropdownItem}
-                  onClick={() => handleOptionClick(option)}
-              >
-                {option}
-              </li>
-          ))}
-        </ul>,
-        document.body
-    );
+    fetch(url)
+            .then(response => {
+                if (!response.ok) {
+                    throw new Error('Network response was not ok');
+                }
+                return response.json();
+            })
+            .then(data => {
+                console.log('Success:', data);
+                const points = data.map(item => item.coordinates);
+                props.map.drawRoute(points);
+            })
+            .catch(error => {
+                console.error('Error:', error);
+            });
   };
 
   return (
-      <div className={styles.wrapper} ref={wrapperRef}>
-        {!isExpanded ? (
-            <div className={styles.searchBar}>
-              <input
-                  type="search"
-                  className={styles.inputField}
-                  placeholder="Search location"
-                  aria-label="Search"
-                  onFocus={(e) => handleInputFocus("from", e.target)}
-                  onChange={handleInputChange(setFrom)}
-                  value={from}
-              />
-              {renderDropdown()}
-              <div className={styles.buttons}>
-                <button
-                    type="button"
-                    className={styles.iconButton}
-                    onClick={searchRoom}
-                >
-                  <img src={searchIcon} alt="Search Icon" />
-                </button>
-                <button
-                    type="button"
-                    className={styles.iconButton}
-                    onClick={toggleExpanded}
-                >
-                  <img src={routeIcon} alt="Route Icon" />
-                </button>
-              </div>
-            </div>
-        ) : (
-            <div className={styles.directionsContainer}>
-              <div className={styles.directionsInputs}>
-                <input
-                    type="text"
-                    placeholder="From"
-                    aria-label="From"
-                    value={from}
-                    onFocus={(e) => handleInputFocus("from", e.target)}
-                    onChange={handleInputChange(setFrom)}
-                    className={styles.inputField}
-                />
-                <input
-                    type="text"
-                    placeholder="To"
-                    aria-label="To"
-                    value={to}
-                    onFocus={(e) => handleInputFocus("to", e.target)}
-                    onChange={handleInputChange(setTo)}
-                    className={styles.inputField}
-                />
-                {renderDropdown()}
-              </div>
-              <div className={styles.buttons}>
-                <button
-                    type="button"
-                    className={styles.iconButton}
-                    onClick={() => handleDirectionsSubmit(from, to)}
-                >
-                  <img src={searchIcon} alt="Submit Directions" />
-                </button>
-                <button
-                    type="button"
-                    className={styles.iconButton}
-                    onClick={toggleExpanded}
-                >
-                  <img src={closeIcon} alt="Close Icon" />
-                </button>
-              </div>
-            </div>
-        )}
-      </div>
+    <div className={styles.wrapper}>
+      {/* Regular search bar */}
+      {!isExpanded ? (
+        <div className={styles.searchBar}>
+          <input
+            type="search"
+            className={styles.inputField}
+            placeholder="Search location"
+            aria-label="Search"
+          />
+          <div className={styles.buttons}>
+            <button type="button" className={styles.iconButton} onClick={searchRoom}>
+              <img src={searchIcon} alt="Search Icon" />
+            </button>
+            <button type="button" className={styles.iconButton} onClick={toggleExpanded}>
+              <img src={routeIcon} alt="Route Icon" />
+            </button>
+          </div>
+        </div>
+      ) : (
+        /* Expanded view for directions */
+        <div className={styles.directionsContainer}>
+          <div className={styles.directionsInputs}>
+            <input
+              type="text"
+              placeholder="From"
+              aria-label="From"
+              value={from}
+              onChange={(e) => setFrom(e.target.value)}
+              className={styles.inputField}
+            />
+            <input
+              type="text"
+              placeholder="To"
+              aria-label="To"
+              value={to}
+              onChange={(e) => setTo(e.target.value)}
+              className={styles.inputField}
+            />
+          </div>
+          <div className={styles.buttons}>
+            <button type="button" className={styles.iconButton} onClick={handleDirectionsSubmit}>
+              <img src={searchIcon} alt="Submit Directions" />
+            </button>
+            <button type="button" className={styles.iconButton} onClick={toggleExpanded}>
+              <img src={closeIcon} alt="Close Icon" />
+            </button>
+          </div>
+        </div>
+      )}
+    </div>
   );
 }
Index: imaps-frontend/src/components/SideBar/SideBar.jsx
===================================================================
--- imaps-frontend/src/components/SideBar/SideBar.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/SideBar/SideBar.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -24,8 +24,8 @@
             </li>
             <li>
-              <Link to="/Maps">Browse Maps</Link>
+              <Link to="/Maps">Maps</Link>
             </li>
             <li>
-              <Link to="/myMaps">My Maps</Link>
+              <Link to="/Maps/FinkiMaps/Draw">Draw</Link>
             </li>
           </ul>
Index: imaps-frontend/src/main.jsx
===================================================================
--- imaps-frontend/src/main.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/main.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -4,9 +4,4 @@
 import './index.css'
 
-if (typeof GestureEvent === "undefined") {
-    window.GestureEvent = class GestureEvent {};
-}
-
-
 ReactDOM.createRoot(document.getElementById('root')).render(
    <App />
